package cn.stylefeng.team.portal.modular.management.factory;

import cn.stylefeng.team.portal.modular.management.entity.PortalSlideshow;
import cn.stylefeng.team.portal.modular.management.pojo.request.PortalSlideshowRequest;

public class SlideshowFactory {

    public static void commonFillParam(PortalSlideshowRequest portalSlideshowRequest, PortalSlideshow portalSlideshow) {
        portalSlideshow.setDesignId(portalSlideshowRequest.getDesignId());
        portalSlideshow.setSlideshowTitle(portalSlideshowRequest.getSlideshowTitle());
        portalSlideshow.setSlideshowCoverFileId(portalSlideshowRequest.getSlideshowCoverFileId());
        portalSlideshow.setSlideshowRedirectType(portalSlideshowRequest.getSlideshowRedirectType());
        portalSlideshow.setSlideshowNewsId(portalSlideshowRequest.getSlideshowNewsId());
        portalSlideshow.setSlideshowRedirectUrl(portalSlideshowRequest.getSlideshowRedirectUrl());
        portalSlideshow.setFldSort(portalSlideshowRequest.getFldSort());
    }

}
